org.keycloak.authentication.authenticators.broker.util

## Class ExistingUserInfo

- java.lang.Object
- - org.keycloak.authentication.authenticators.broker.util.ExistingUserInfo

-     public class ExistingUserInfo
      extends Object

  Author:
    Marek Posolda

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExistingUserInfo()`
    `ExistingUserInfo(String existingUserId, String duplicateAttributeName, String duplicateAttributeValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExistingUserInfo` | `deserialize(String serialized)`
    `String` | `getDuplicateAttributeName()`
    `String` | `getDuplicateAttributeValue()`
    `String` | `getExistingUserId()`
    `String` | `serialize()`
    `void` | `setDuplicateAttributeName(String duplicateAttributeName)`
    `void` | `setDuplicateAttributeValue(String duplicateAttributeValue)`
    `void` | `setExistingUserId(String existingUserId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExistingUserInfo

          public ExistingUserInfo()

    - #### ExistingUserInfo

          public ExistingUserInfo(String existingUserId,
                                  String duplicateAttributeName,
                                  String duplicateAttributeValue)

  - ### Method Detail

    - #### getExistingUserId

          public String getExistingUserId()

    - #### setExistingUserId

          public void setExistingUserId(String existingUserId)

    - #### getDuplicateAttributeName

          public String getDuplicateAttributeName()

    - #### setDuplicateAttributeName

          public void setDuplicateAttributeName(String duplicateAttributeName)

    - #### getDuplicateAttributeValue

          public String getDuplicateAttributeValue()

    - #### setDuplicateAttributeValue

          public void setDuplicateAttributeValue(String duplicateAttributeValue)

    - #### serialize

          public String serialize()

    - #### deserialize

          public static ExistingUserInfo deserialize(String serialized)

Copyright © 2020 JBoss by Red Hat. All rights reserved.